lavuemonitor(1)

NAME
lavuemonitor - monitor for Lightweight Live Viewer

SYNOPSIS
lavuemonitor [ OPTIONS ]

DESCRIPTION
lavue is a simple implementation of a live viewer front end. It is supposed to show a live image view from xray-detectors at PETRA3. lavuemonitor is an example script to check the ZMQ security stream emitted by lavue and react in emergency cases, e.g. by closing the shutter.

OPTIONS

--help, -h
    show a help message and exit

--max-intensity MAXVAL, -i MAXVAL
    maximal pixel value (default: 1000.)

--time-gap TIMEGAP, -g TIMEGAP
     maximal time gap in seconds (default: 1.)

--stop-command COMMAND, -c COMMAND
    stop command

--raw, -r
    check raw image

--port PORT, -p PORT
    zmq port (default: automatic)

--host HOST, -h HOST
    zmq host (default: automatic)

--topic TOPIC, -t TOPIC
    zmq topic (default: 10001)

--debug
    debug mode

SEE ALSO
https://github.com/syncope/lavue/ https://github.com/lavue-org/lavue/

COPYRIGHT
Copyrights (c) 2017, GNU GPL v2, DESY, Christoph Rosemann, Jan Kotanski, Andre Rothkirch

BUGS
Please report bugs on the project's mailing list: mailto://jankotan@gmail.com

AUTHORS
Christoph Rosemann <christoph.rosemann@desy.de>, Jan Kotanski <jankotan@gmail.com>, Andre Rothkirch <andre.rothkirch@desy.de>